Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hornetq.api.jms
Enum JMSFactoryType

    java.lang.Object
      java.lang.Enum<JMSFactoryType>
          org.hornetq.api.jms.JMSFactoryType

All Implemented Interfaces:
  Serializable, Comparable<JMSFactoryType>

    public enum JMSFactoryType

extends Enum<JMSFactoryType>

A JMSFactoryType

Author:
  howard

Enum Constant Summary
`CF`
`QUEUE_CF`
`QUEUE_XA_CF`
`TOPIC_CF`
`TOPIC_XA_CF`
`XA_CF`

Method Summary
`int` | `intValue()`
`static JMSFactoryType` | `valueOf(int val)`
`static JMSFactoryType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JMSFactoryType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CF

    public static final JMSFactoryType CF

### QUEUE_CF

    public static final JMSFactoryType QUEUE_CF

### TOPIC_CF

    public static final JMSFactoryType TOPIC_CF

### XA_CF

    public static final JMSFactoryType XA_CF

### QUEUE_XA_CF

    public static final JMSFactoryType QUEUE_XA_CF

### TOPIC_XA_CF

    public static final JMSFactoryType TOPIC_XA_CF

Method Detail

### values

    public static JMSFactoryType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JMSFactoryType c : JMSFactoryType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JMSFactoryType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### intValue

    public int intValue()

### valueOf

    public static JMSFactoryType valueOf(int val)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 Red Hat Inc. All Rights Reserved.